Page MenuHomeFreeBSD

benchmarks/unixbench: updating to version 5.1.3
ClosedPublic

Authored by pizzamig on Sep 4 2017, 2:41 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 13 2024, 9:22 AM
Unknown Object (File)
Dec 20 2023, 1:45 AM
Unknown Object (File)
Dec 4 2023, 4:19 AM
Unknown Object (File)
Nov 22 2023, 9:06 PM
Unknown Object (File)
Nov 22 2023, 9:06 PM
Unknown Object (File)
Nov 22 2023, 9:06 PM
Unknown Object (File)
Nov 22 2023, 9:06 PM
Unknown Object (File)
Nov 22 2023, 8:54 PM
Subscribers

Details

Summary

Updating to the last version, hosted now on github

Moreover:

  • updating MAINTAINER entry
  • changing build and installation phases to adopt the new structure
  • adding the proper dependencies

Reviewed by\: mat
Approved by\: olivier (mentor)
Approved by\: lme (mentor)
Differential Revision\: https://reviews.freebsd.org/D12224

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

benchmarks/unixbench/Makefile
5 ↗(On Diff #32638)

You could also switch to using DISTVERSION.

24–25 ↗(On Diff #32638)

Why not simply use:

BUILD_WRKSRC=  ${WRKSRC}/UnixBench

Or, as it seems you have many, many occurrences of ${WRKSRC}/UnixBench later, simply:

WRKSRC_SUBDIR=  UnixBench
47 ↗(On Diff #32638)

I cannot see any case where this MKDIR could fail and it should not be fatal.

48–50 ↗(On Diff #32638)

This is also done in an easier way. Either:

${INSTALL_DATA} ${WRKSRC}/UnixBench/testdir/* ${STAGEDIR}${PREFIX}/libexec/unixbench/testdir/

or

cd ${WRKSRC}/UnixBench/testdir/ && ${COPYTREE_SHARE} . ${STAGEDIR}${PREFIX}/libexec/unixbench/testdir/
benchmarks/unixbench/Makefile
10 ↗(On Diff #32638)

Is there a typo here regarding this double quote ?

pizzamig edited the summary of this revision. (Show Details)
  • Adopting suggested solutions
  • Fixing typos
  • Rebuilding patches
pizzamig edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Sep 4 2017, 10:21 PM
This revision was automatically updated to reflect the committed changes.